## ros-indigo-rocon-gateway-tests 0.7.10

=== tests/rocon/CMakeLists.txt ===
##############################################################################
# Tests
##############################################################################

add_rocon_test(connect_hub_by_service.test)
add_rocon_test(flips.test)
add_rocon_test(pulls.test)
add_rocon_test(advertisements.test)
add_rocon_test(graph.test)

=== debian/changelog ===
ros-indigo-rocon-gateway-tests (0.7.10-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 08 Jul 2015 15:00:00 -0000

ros-indigo-rocon-gateway-tests (0.7.9-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 08 Jul 2015 15:00:00 -0000

ros-indigo-rocon-gateway-tests (0.7.8-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 26 Apr 2015 15:00:00 -0000

ros-indigo-rocon-gateway-tests (0.7.7-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 22 Mar 2015 15:00:00 -0000

ros-indigo-rocon-gateway-tests (0.7.6-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 20 Nov 2014 15:00:00 -0000

ros-indigo-rocon-gateway-tests (0.7.5-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 22 Sep 2014 15:00:00 -0000

ros-indigo-rocon-gateway-tests (0.7.4-1trusty) trusty; urgency=high

  * rocon_gateway_tests: CMakeLists.txt(12): error: missing COMPONENTS keyword before 'rocon_test'
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 24 Aug 2014 15:00:00 -0000

ros-indigo-rocon-gateway-tests (0.7.3-1trusty) trusty; urgency=high

  * reduce the gateway unavailable timeout for convenient wireless testing.
  * fix inconsistently referenced flip_all.yaml.
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 25 May 2014 15:00:00 -0000

ros-indigo-rocon-gateway-tests (0.7.2-1trusty) trusty; urgency=high

  * added missing zeroconf_avahi dependency.
  * relax timeout durations for tests.

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 05 May 2014 15:00:00 -0000

ros-indigo-rocon-gateway-tests (0.5.0-1trusty) trusty; urgency=high

  * loading up the heavy tutorials.
  * add missing tutorials light launcher
  * fix problems with new skeletonised connection index for advertising.
  * removal of almost all xmlrpc calls when indexing local connections, and a nosetest.
  * Benchmarking tests for the gateway master api.
  * move watcher thread into main thread.
  * benchmarking utilities.
  * connect hub by service test.
  * fix remote gateway info name-type swapped wrong.
  * handle disconnecting hubs and proper lock protection on the hubs variable.
  * fix gateway shutdown process for flips.
  * single flip working.
  * checked flip all cancelling while implementing the flip all part of a flip test.
  * trivial commit - pep8 updates, eclipse settings and cleaned out test graveyard.
  * flip all is working, fixed a bug in the 'is all' matching as well.
  * rocon pull test added.
  * single pulls working.
  * pull all working.
  * early work on pulling.
  * add a remote gateway for testing
  * trivial tests script, xml cleanup.
  * regex pattern advertisements test.
  * advertisements rocon test finished.
  * text mode for rocon_test implemented (quite fugly though, but better than nothing).
  * advertise and graph tests working, but not fully functional yet.
  * rename to avoid tab completion.
  * publish gateway info if public interface updates.
  * advertise all watchlist working.
  * local gateway info is working.
  * direct and zeroconf hubs now resolving.
  * background hub discovery thread.
  * use args instead of reproducing launcher content.
  * 0.4.0
  * build depend on rocon_test
  * add the rocon test into cmake.
  * remove mainpage.dox
  * first gateway test working - tests a graph update.
  * graph test, not yet working.
  * loop with a connection timeout for direct connections.
  * test runner is working on the individual launchers.

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 27 May 2013 02:03:00 -0000

ros-indigo-rocon-gateway-tests (0.3.0-1trusty) trusty; urgency=high

  * update jihoon e-mail

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 04 Feb 2013 15:00:00 -0000

ros-indigo-rocon-gateway-tests (0.2.2-1trusty) trusty; urgency=high

  * comment out non-catkin actionlib_tutorials for now.
  * fix wiki links.
  * catkinized.

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 30 Jan 2013 15:00:00 -0000

ros-indigo-rocon-gateway-tests (0.1.7-1trusty) trusty; urgency=high

  * disabling tests temporarily.

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 12 Dec 2012 15:00:00 -0000

ros-indigo-rocon-gateway-tests (0.1.3-1trusty) trusty; urgency=high

  * starting to get my head into rosgraph, about to apply.
  * pep8 and started adding a graph class (aka rosgraph.graph).
  * rocon_gateway_hub->rocon_hub, client also.

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 06 Dec 2012 15:00:00 -0000

ros-indigo-rocon-gateway-tests (0.1.1-1trusty) trusty; urgency=high

  * updated tutorial stack dependencies.

 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 24 Nov 2012 06:57:00 -0000

ros-indigo-rocon-gateway-tests (0.1.0-1trusty) trusty; urgency=high

  * comms to msgs
  * fix the test for the updated remote arrays, again.
  * minor modifications to tests for multiple flip/pull updates.
  * all demo code now moved to rocon_gateway_demos.
  * multiple rules for pulls now working as well.
  * flipping with multiple flip rule service argument (array) working, pulling broken.
  * minor fixes to launchers and manifests.
  * correcting error in usage
  * remove old readme
  * some pull testing, all seems ok.
  * simple launchers to test the action_client and server fibonacci flip/pulls.
  * test fibonacci server, averaging seems broken.
  * bugfix typo for spelling of fibbonaci, err fibonacci.
  * added a pull all test -- currently succeeds.
  * fixing some small bugs in the pull calls
  * fixed test name in CMakelists.txt
  * renamed test - adding pull tests to same file now
  * enabled testing advertisements remotely -- will add tests for pull interface shortly
  * simple text console output update.
  * some initial work towards unit tests testing advertisements remotely - after this is done will proceed to pull
  * reorganized launch file structure


=== debian/control ===
Source: ros-indigo-rocon-gateway-tests
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib-tutorials, ros-indigo-catkin, ros-indigo-gateway-msgs, ros-indigo-rocon-console, ros-indigo-rocon-gateway, ros-indigo-rocon-gateway-utils, ros-indigo-rocon-hub, ros-indigo-rocon-test, ros-indigo-roscpp-tutorials, ros-indigo-rospy, ros-indigo-rospy-tutorials, ros-indigo-rosunit, ros-indigo-zeroconf-avahi
Homepage: http://ros.org/wiki/rocon_gateway_tests
Standards-Version: 3.9.2

Package: ros-indigo-rocon-gateway-tests
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: Testing programs for gateways.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-rocon-gateway-tests//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
